textures/apath0/129a
{
	qer_editorimage textures/apath0/transpi.tga
        cull none
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/apath0/transpi.tga
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

textures/apath0/metalrail_phong
{
        surfaceparm slick
	surfaceparm nodamage
	q3map_nonplanar
	q3map_shadeangle 91
	qer_editorimage textures/apath0/metalrail_phong.tga
	{
		map textures/apath0/metalrail.tga
		rgbGen identity
	}

        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}

}

textures/null_beach/cei_strip_light
{
	qer_editorimage textures/null_beach/e6v_light.tga
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 3000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/null_beach/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/null_beach/e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

textures/null_beach/cei_strip_light_br
{
	qer_editorimage textures/null_beach/e6v_light.tga
	q3map_lightmapFilterRadius 0 8
	q3map_surfacelight 6000
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/null_beach/e6v_light.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/null_beach/e6v_light_blend.tga
		blendfunc add
		//blendfunc gl_src_color gl_one
	}
}

textures/urban_terror2/water1
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}

textures/apath0/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/urban_terror2/glass
{
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

//Tub
textures/ut_turnpike/willsky
{
	qer_editorimage textures/austria/AustriaSkyImage.jpg

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 300
	q3map_lightsubdivide 512
        skyparms env/turnpike/tp_sky2 - -
	
}

// Stratosphere Skybox (stolen from freakjumps - thx!)
textures/ut4_freakjumps/strato_skybox
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 0.941 0.984 1.00 150 270 45
	skyparms env/stratosphere/stratosphere - -
}

//teleporter
textures/ctf/red_telep
{ 
        cull disable	
        surfaceparm nomarks
        surfaceparm trans

        {
	        
	        clampmap textures/ctf/red_telep.tga
		blendFunc add
                //tcMod stretch sin .9 0.1 0 .5
                tcmod rotate 327
                rgbGen identity
	}
        {
	        clampmap textures/ctf/red_telep2.tga
		blendFunc add
                //tcMod stretch sin .9 0.1 0 .1
                tcmod rotate -211
                rgbGen identity
        }
        {
	        clampmap textures/ctf/telep.tga
		alphaFunc GE128
                tcmod rotate 20
	        rgbGen identity
	}
        {
	        clampmap textures/ctf/telep.tga
		alphaFunc GE128
                tcMod stretch sin .7 0 0 0
                tcmod rotate -20
                rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}



}

//orange slice surface
textures/apath0/orangesurface
{
        qer_editorimage textures/apath0/orange.tga
	cull disable
	surfaceparm slick
	{
		map textures/apath0/orange.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}



}

//hell is the others
textures/apath0/hell
{
	qer_editorimage textures/apath0/sartre.tga
	cull disable
	{
		map textures/apath0/sartre.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/banksy01
{
	qer_editorimage textures/apath0/banksy.tga
	qer_trans 0.50
	cull disable
	{
		map textures/apath0/banksy.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/banksy-christ
{
	qer_editorimage textures/apath0/banksy-christ.tga
	qer_trans 0.50
	cull disable
	{
		map textures/apath0/banksy-christ.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/banksy-flowers
{
	qer_editorimage textures/apath0/banksy-flowers.tga
	qer_trans 0.50
	cull disable
	{
		map textures/apath0/banksy-flowers.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/disappointment
{
	qer_editorimage textures/apath0/disappointment.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/disappointment.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/apath0/names
{
	qer_editorimage textures/apath0/names.tga
	qer_trans 0.90
	cull disable
	{
		map textures/apath0/names.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/apath0/rainshader
{
	qer_editorimage textures/apath0/rain.tga
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/apath0/rain.tga
                tcMod Scroll .3 -2      //rain used to be going backwards (!!!)
                blendFunc GL_ONE GL_ONE
        }
}

textures/apath0/riverbed_phong
{
	q3map_nonplanar
	q3map_shadeangle 105
	qer_editorimage textures/apath0/riverbed_phong.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/apath0/riverbed.tga
		blendFunc filter
	}
}


textures/apath0/river
{
	qer_editorimage textures/liquids/pool3d_3.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 1 1 0 1	
	
		
	{ 
		map textures/liquids/pool3d_5.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.2 0
	}

	{ 
		map textures/liquids/pool3d_6.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll -.2 0
	}
	{ 
		map textures/liquids/pool3d_3.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll -.2 0
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}


textures/eaglesky/sky1
{
	qer_editorimage textures/eagle/sky1.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
//BELOW - TEXTURE BRIGHT CORRECTED - SUN CORRECT
	q3map_sun .5 .37 .19 60 225 55
	//altered x 2.5 for r_overbrightbits 0 and r_mapoverbrightbits 0
	q3map_surfacelight 300
	//q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
      skyparms env/sw_txts/eagle 128 -
}


textures/apath0/monitorshader
{
	qer_editorimage textures/apath0/monitor.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/apath0/monitor.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		blendFunc add
		depthWrite
		alphaGen portal 1600
    }
}


// Models and Textures by LT1/BlackRayne
// shader by Tub

models/mapobjects/br_trees/bark
{
nopicmip

	{
		map models/mapobjects/br_trees/bark.jpg
		rgbGen vertex
	}
}

models/mapobjects/br_trees/tree5
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/br_trees/tree5.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_trees/tree7
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/br_trees/tree7.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/br_trees/tree8
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/br_trees/tree8.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}